Course related methods
Returns a specific course
https://api.itcareers.pl/course/get.json
| Parameter | Required | Description |
|---|---|---|
| api_key | Yes | Your unique identifier. You must request your API KEY. (string) |
| id | Yes | The requested course id (integer) |
$ curl --data "api_key=xxx&id=514" https://api.itcareers.pl/course/get.json
{
"id":514,
"title":"XXI SINFO - Semana Inform\u00e1tica do IST",
"description":"...",
"dateStart":"2014-02-24",
"dateEnd":"2014-02-28",
"locations":[
{
"id":"14",
"name":"Lisboa"
}
],
"place":"Pavilh\u00e3o de Civil do Campus da Alameda do Instituto Superior T\u00e9cnico",
"url":"http:\/\/www.sinfo.org",
"isPresencial":true,
"isCertified":false,
"isFunded":true,
"hours":12,
"price":1500,
"updatedAt":"2014-01-20 22:55:21",
"slug":"xxi-sinfo-semana-informatica-do-ist"
}
Returns a list of courses
https://api.itcareers.pl/course/list.json
| Parameter | Required | Description |
|---|---|---|
| api_key | Yes | Your unique identifier. You must request your API KEY. (string) |
| limit | No | Number of results (integer) |
| page | No | Page number (integer) |
| company | No | Filter results by company (comma separated integers) |
$ curl --data "api_key=xxx&limit=2" https://api.itcareers.pl/course/list.json
{
"total":12,
"page":1,
"limit":2,
"results":[
{
"id":659,
"title":"TECHDAYS Aveiro",
"description":"...",
"dateStart":"2015-09-17",
"dateEnd":"2015-09-18",
"locations":[
{
"id":"1",
"name":"Aveiro"
}
],
"place":"Aveiro EXPO - Parque de Exposi\u00e7\u00f5es de Aveiro",
"url":"http:\/\/www.techdays.pt",
"isPresencial":false,
"isCertified":true,
"isFunded":false,
"hours":12,
"price":1500,
"updatedAt":"2015-05-31 16:31:39",
"slug":"techdays-aveiro"
},
{
"id":673,
"title":"ICRE 2015 - International Conference on Robot Ethics",
"description":"...",
"dateStart":"2015-10-23",
"dateEnd":"2015-10-24",
"locations":[
{
"id":"14",
"name":"Lisboa"
}
],
"place":"Pavilh\u00e3o do Conhecimento\/Ci\u00eancia Viva",
"url":"http:\/\/www.icre2015.com",
"isPresencial":true,
"isCertified":true,
"isFunded":false,
"hours":8,
"price":0,
"updatedAt":"2015-07-01 11:35:50",
"slug":"icre-2015-international-conference-on-robot-ethics"
}
]
}
Returns a list of courses based on a query and filters
https://api.itcareers.pl/course/search.json
| Parameter | Required | Description |
|---|---|---|
| api_key | Yes | Your unique identifier. You must request your API KEY. (string) |
| q | Yes | Search query (comma separated strings) |
| limit | No | Number of results (integer) |
| page | No | Page numner (integer) |
| company | No | Filter results by company (comma separated integers) |
$ curl --data "api_key=xxx&search=aveiro&limit=2" https://api.itcareers.pl/course/search.json
{
"total":1,
"page":1,
"limit":12,
"query":"aveiro",
"results":[
{
"id":659,
"title":"TECHDAYS Aveiro",
"description":"...",
"dateStart":"2015-09-17",
"dateEnd":"2015-09-18",
"locations":[
{
"id":"1",
"name":"Aveiro"
}
],
"place":"Aveiro EXPO - Parque de Exposi\u00e7\u00f5es de Aveiro",
"url":"http:\/\/www.techdays.pt",
"isPresencial":false,
"isCertified":false,
"isFunded":true,
"hours":12,
"price":500,
"updatedAt":"2015-05-31 16:31:39",
"slug":"techdays-aveiro"
}
]
}
Information regarding Course type and location
| Value | Type |
|---|
| Value | Location |
|---|---|
| 12 | Białystok |
| 3 | Bydgoszcz |
| 13 | Gdańsk |
| 9 | Gorzów Wielkopolski |
| 19 | International |
| 14 | Katowice |
| 16 | Kielce |
| 4 | Kraków |
| 7 | Lublin |
| 5 | Łódź |
| 17 | Olsztyn |
| 11 | Opole |
| 1 | Poznań |
| 15 | Rzeszów |
| 18 | Szczecin |
| 2 | Toruń |
| 10 | Warszawa |
| 6 | Wrocław |
| 8 | Zielona Góra |